createWalletTransfer

The createWalletTransfer mutation creates a transfer to move funds from one wallet to another. finalizeWalletTransfer must be called to execute the transfer. getTransferQuote must be called in the wallet to wallet transfer flow.

Parameters

ParameterTypeRequired
source_amountStringfalse
destination_amountStringfalse
source_wallet_idUUIDtrue
desination_wallet_idUUIDtrue

GraphQL

mutation CreateWalletTransfer(
  $destination_amount: String,
  $source_amount: String,
  $source_wallet_id: UUID,
  $destination_wallet_id: UUID
) {
  createWalletTransfer(
    destination_amount: $destination_amount,
    source_amount: $source_amount,
    source_wallet_id: $source_wallet_id,
    destination_wallet_id: $destination_wallet_id
  )
}
Body Params
string
Defaults to {}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json